#ifndef _GLOBAL_H_
#define _GLOBAL_H_

# define THOM_RENDER_NORMAL      0
# define THOM_RENDER_X125        1
# define THOM_RENDER_X15         2
# define THOM_LAST_RENDER        2

# define MAX_PATH            256
# define THOM_MAX_SAVE_STATE    5

  typedef struct THOM_t {
 
    char thom_save_used[THOM_MAX_SAVE_STATE];
    char thom_save_name[MAX_PATH];
    char thom_home_dir[MAX_PATH];
    int  thom_speed_limiter;
    int  psp_screenshot_id;
    int  psp_cpu_clock;
    int  psp_reverse_analog;
    int  thom_snd_enable;
    int  thom_render_mode;
    int  psp_skip_max_frame;
    int  psp_skip_cur_frame;
    int  psp_active_joystick;

  } THOM_t;

  extern THOM_t THOM;


//END_LUDO:

# endif
